Page MenuHomePhabricator

Run unpublished draft purge script for CX (Week of 03/17)
Closed, ResolvedPublic

Description

Manual run of unpublished draft purge script for CX:

Run: foreachwikiindblist '%% wikipedia.dblist - special.dblist - closed.dblist' extensions/ContentTranslation/scripts/purge-unpublished-drafts.php --age-in-days=AGE --really |& tee -a ~/purgelog.txt on mwmaint1002.

Monitor output and DB lags and process number of drafts purged after script is done.

  • Run 1:
  • age-in-days: 515
  • number of drafts to purge = 3223
  • schedule: 20190318
  • Run 2:
  • age-in-days: 455
  • number of drafts to purge = 4174
  • schedule: 20190319

One more run should be done before we deploy the cronjob.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2019, 6:26 AM

I had used 420 (360 + two months) as a ballpark figure, but I double checked and we should stop at 455 days mentioned in T183890: Remove very old translation drafts from CX database.

That means you can make these runs a bit smaller and to spread it more evenly over three runs OR you can try to make the two runs slightly bigger and only do two runs.

I had used 420 (360 + two months) as a ballpark figure, but I double checked and we should stop at 455 days mentioned in T183890: Remove very old translation drafts from CX database.
That means you can make these runs a bit smaller and to spread it more evenly over three runs OR you can try to make the two runs slightly bigger and only do two runs.

Thanks! I'll update task.

KartikMistry updated the task description. (Show Details)Mar 14 2019, 1:45 PM

Mentioned in SAL (#wikimedia-operations) [2019-03-18T02:00:57Z] <kart_> Started manual run of unpublished ContentTranslation draft purge script (T218279)

Mentioned in SAL (#wikimedia-operations) [2019-03-18T03:58:15Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T218279)

KartikMistry updated the task description. (Show Details)Mar 18 2019, 3:59 AM

Mentioned in SAL (#wikimedia-operations) [2019-03-19T03:45:38Z] <kart_> Started manual run of unpublished ContentTranslation draft purge script (T218279)

Mentioned in SAL (#wikimedia-operations) [2019-03-19T07:25:05Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T218279)

KartikMistry updated the task description. (Show Details)Mar 19 2019, 7:29 AM

All manual runs are over as we reached to desired 455 days target.

Arrbee closed this task as Resolved.Mar 25 2019, 6:59 PM